"use strict";

exports.__esModule = true;
exports.default = _default;

var _react = _interopRequireWildcard(require("react"));

var _styles = require("@material-ui/core/styles");

var _theme = _interopRequireDefault(require("../../utils/theme"));

var _Context = _interopRequireDefault(require("base-shell/lib/providers/Config/Context"));

var _Context2 = _interopRequireDefault(require("../../providers/Theme/Context"));

var _jsxFileName = "C:\\github\\os\\react-most-wanted\\packages\\material-ui-shell\\src\\containers\\LayoutContainer\\LayoutContainer.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _default(_ref) {
  var children = _ref.children;

  var _useContext = (0, _react.useContext)(_Context.default),
      appConfig = _useContext.appConfig;

  var _useContext2 = (0, _react.useContext)(_Context2.default),
      themeID = _useContext2.themeID,
      type = _useContext2.type;

  var _ref2 = appConfig || {},
      themeConfig = _ref2.theme;

  var _ref3 = themeConfig || {},
      _ref3$themes = _ref3.themes,
      themes = _ref3$themes === void 0 ? [] : _ref3$themes;

  var theme = (0, _theme.default)(themeID, themes, type);
  return /*#__PURE__*/_react.default.createElement(_styles.ThemeProvider, {
    theme: theme,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 14,
      columnNumber: 10
    }
  }, children);
}

module.exports = exports.default;