"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _Page = _interopRequireDefault(require("../../containers/Page/Page"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _Home = _interopRequireDefault(require("@material-ui/icons/Home"));

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _styles = require("@material-ui/core/styles");

var _this = void 0,
    _jsxFileName = "C:\\github\\os\\react-most-wanted\\packages\\material-ui-shell\\src\\pages\\PageNotFound\\PageNotFound.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = function styles(theme) {
  return {
    icon: {
      width: 192,
      height: 192,
      color: theme.palette.secondary.main
    },
    container: {
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      height: "100%"
    },
    paper: {
      backgroundColor: theme.palette.background.default,
      margin: 0,
      height: "calc(100vh - 64px)"
    },
    button: {
      marginTop: 20
    }
  };
};

var PageNotFound = function PageNotFound(_ref) {
  var intl = _ref.intl,
      classes = _ref.classes;
  return /*#__PURE__*/_react.default.createElement(_Page.default, {
    pageTitle: intl.formatMessage({
      id: 'page_not_found'
    }) + ' MUI',
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 35,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_Paper.default, {
    className: classes.paper,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 36,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.container,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 37,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react.default.createElement(_Typography.default, {
    variant: "h4",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 38,
      columnNumber: 11
    }
  }, "404"), /*#__PURE__*/_react.default.createElement(_Typography.default, {
    variant: "subtitle1",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41,
      columnNumber: 11
    }
  }, intl.formatMessage({
    id: 'page_not_found'
  }) + ' MUI'), /*#__PURE__*/_react.default.createElement(_Button.default, {
    color: "secondary",
    "aria-label": "home",
    href: "/",
    className: classes.button,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 44,
      columnNumber: 11
    }
  }, /*#__PURE__*/_react.default.createElement(_Home.default, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 50,
      columnNumber: 13
    }
  })))));
};

var _default = (0, _reactIntl.injectIntl)((0, _styles.withStyles)(styles, {
  withTheme: true
})(PageNotFound));

exports.default = _default;
module.exports = exports.default;